2005-09-10  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Windows:
	The joystick dialog was changed. The image of bsnes was used.
	DirectInput was changed to the default setting.
	
2005-09-06  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Please delete the uosnesw.ini file of an old version.

	Unoficial Snes9x's ScreenImage code revived.
	
	2P controller connected was default setting, it changed.
	Because two controllers were appended when the Super Famicom is bought.
	
	Some bugs Fix were done.

2005-08-26  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Windows:
	FrameTimerSemaphore -> MeteredSection, it changed.

	BBS, BBC, BVC, BVS SPC700 instructions CPU Shutdown code are added.

	"IKARI NO YOUSAI" DMA hack is added, 
	
2005-08-21  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	An original, worst bug of having referred to Map when it is
	necessary to refer to WriteMap by the routine of the access of
	the memory of Asm has been improved. 
	This is that I failed.
	I'm sorry...
	
2005-08-18  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	When 0x4200 H-Timer was enabled, the bug that had forgotten
	to calculate H-Timer was corrected.

	The code of the access of the memory of Asm improved in the fix a little.
	
2005-08-08  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The bug to which kirby3 transparency hack was not enabled was corrected.
	SNES_NTSC_CYCLES_PER_SECOND was changed from 21477270 to 21477272.

	SPC700 is made to work when the timer increment and the
	port were read and written, it changed.
	
2005-07-29  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Windows:
	The exclusive operation in SoundSync was made CriticalSectuion,
	because that confirming the operation with Wine was slow and painful...
	I think that processing became fast a little.

2005-07-27  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The development environment was updated to gcc-4.0.1.

	Windows:
	To set the sound sample rate, the bit, the stereo,
	and monaural separately, it changed.

	snesapu was changed a little.
	
2005-07-20  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The linear interpolation code of Echo FirFilter was enabled,
	because the echo changed into the noise occasionally...
	
2005-07-17  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	To do SoundSync when the APU_DSP register was read and written,	it changed.
	I think that the sound generation processing became accurate.

2005-07-14  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Windows:
	To clear only the upper part of the screen and
	the range of the lower side at the switch
	by 224->239 resolutions, it changed.

	Windows:
	"Background execution" and "DirectSound Global Focus"
	settings were added.

	GFX and snesapu were changed a little.
	
2005-07-10  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The down grade bug in the sound core reported
	on the bulletin board has been improved.
	
2005-07-08  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The sound core was rewritten a little.
	The sound of "Fuurai no Shiren" has improved
	by clip 0x00-0x7F envelope values.
	
2005-07-03  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	ROM other than 32Mbit made it to the
	70->7d 0x8000-0xffff SRAM mapping.

	To reflect the state of the main volume and the echo
	more in real time, the SNES sound mixing was changed. 
	The array of MixBuffer, EchoBuffer, DummyEchoBuffer
	that had become unnecessary was deleted.

	The Cubic sound interpolation was changed to the default setting.
	
	x86 binary was compiled with gcc "-mtune=pentium4" optimize.

2005-06-29  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Unix:
	To detect/dev/input/js *, it changed.
	
2005-06-26  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The Linux target was supported.
	Most is the same as the Snes9x command line version.

	Build commands
	>tar -xjpf uosnes-20050626.tar.bz2
	>cd uosnes-20050626
	>mkdir linux-i686
	>cd linux-i686
	>../Unix_configure.sh
	>make
	
2005-06-22  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The SoundSync standby function of Windows Port
	was changed to Mutex.

	It is working for the Linux native target..

2005-05-08  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The timing and the interrupt delay were returned old,
	Because there seemed to be a lot of trouble..

	--enable-new_timing, --enable-new_interrupt_delay
	configure options were added.

2005-05-05  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	It compiled with gcc-4.0.0.

	In winsownd.cpp, it is corrected to have forgotten
	to release the sound buffer of the sound buffer
	writing position check.
	
2005-03-29  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	SNES Interrupt code was rewritten and
	"DERBY STALLION" "CACOMA KNIGHT" hacks were deleted.
	
	In the SPC player code, it was corrected to have forgotten
	to copy 0xFFC0-0xFFFF after ShowROM had been done
	when Load SPC was done.
	
2005-02-28  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	AM 06:xx
	ROM detection of Sufami Turbo has been improved.

	Because DSP register KON KOF writing 62.5usec time
	had been checked at the reproduction sample count time,
	the sound was not good.
	Therefore, to check only KOF at the time of main CPU, it changed. 

	AM 00:xx
	"Mystic Quest" was not able to be executed by 2005-02-26. 
	When the IRQ of 0x4200 register is turned off,
	it seems to have had to clear IRQ signal. 
	Therefore, to clear IRQ, it changed.

2005-02-26  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	The timing of SNES was variously changed.
	It is basically the same as SNEeSe and bsnes.
	
	When it reached H position of 538 or 534 Crystal clock,
	40 The Dram refresh time to stop time CPU of Crystal clock
	was implemented.

	It changed so that 0-21 and 278-340 dots may become H-Blank.

	// Snes9x.h
	#define HBLANK_HMAX_EVENT 4
	#define DRAM_REFRESH_EVENT 5
	These were added.
	
	H cycles becomes 1364 or 1360 on a specific condition,
	H-Latch counter is a little different from 322 and 326,
	These were implemented.
	
2005-02-22  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	Because "MEGALOMANIA" was bad,
	the operation of the sprite register was changed,
	and uniracer hack was re-enabled.

	One V_Counter was increased in the frame that scanned
	the odd number line when interlace was displayed.
	This operation was taken from bsnes.
	
2005-02-21  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	SPC700 Shutdown WaitCounter method is changed.
	
	SoundSync in DMA was changed into the following operation.
	0:APU_TIMER -> 1:APU_EXECUTE -> 2:SoundSync -> 0: -> 1: -> 2: ...

	It changed like doing 16000Hz SoundSync in APU_TIMER.
	
2005-02-17  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	JMA_SUPPORT(NSRT original archiver support) is enabled.
	configure options of uosnes-devel source tree
	is added "--disable-jma_support"
	
	The bug that Silva Saga 2 graphics was bad was fixed in uosnes,
	It was a no problem in Original Snes9x.

	The SPC player code for the sound test was rewritten,
	64000Hz SoundSync code was added (It's Scanline Interval SoundSync in SNES Emu)
	Anything is able not to be performed like other SPC Player now.
	
	The possibility that all voice key off is done by the
	snapshot loading was corrected.

	Because "SUPER MAHJONG TAIKAI" was bad,
	the operation of the sprite register was changed,
	and uniracer hack was removed.
	
2005-02-13  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	SPC Channel Shift+1+8 OFF ON function and Sound Echo setting
	are merged from uosnes-branch source.
	Because it might be necessary for confirming the operation in the sound core..

	The APUCore setting that had become unnecessary was deleted.

	snes9x-1.43-src.tar.gz's tile.cpp was merged.
	
2005-02-12  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	AM 08:21
	The bug that the SPC dump data becomes garbage was corrected.
	
	Some improvements were given to the sound core.

	It came to be able to correct all the setting changes
	such as ReverseStereo, 8bit, 16bit, monoral, 
	stereo, sample rate.
	
	C4 C code is enabled.
	configure options of uosnes-devel source tree
	is added "--enable-zsnes_c4"
	
2005-02-03  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	It improved a little and it up-loaded it today.

	All H_Counter V_Counter hacks were deleted though
	there might have been the necessary one, too.

	The mistake that had written that it had to be
	written 2005xxxx of ChangeLog as 2004xxxx
	was corrected.
	
2005-02-01  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	SNES Sound Core was changed.

	It is still a sound core test version at the present stage.
	The setting change such as ReverseStereo, 8bit, and Monoral
	cannot been done yet.
	It is implementing it now. 
	There might be a bug.	
	
	// SNESAPU 
	// copyright (C)2003-04 Alpha-II Productions
	// http://www.alpha-ii.com/
	// 
	// Ported from x86 assembler to C and implementation by Brad Jorsch
	// 
	// Person who rewrites this.
	// Copyright (C) 2004 sanmaiwashi
	// http://toriniku.sourceforge.net/
	
2005-01-25  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	snes9x-1.43-src.tar.gz's DSP chip emulation was merged.
	
	It changed so that APU_TIMER Interval might be calculated by
	NTSC: 21.47727MHz / 64000
	PAL 21.28137MHz / 64000

2004-12-14  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	It has improved that load state of OBC1 was a bug.

	It changed definition of timing.
	NTSC crystal 21.47727MHz
	PAL crystal 21.28137MHz
	Crystal / 6 == fast 65c816 CPU clock.
	Crystal / 4 == PPU master clock, 341 clocks per scanline.
	Is this the same as NES?
	NTSC frames per second 60.098469924559559
	PAL frames per second 50.006978908188586
	NTSC scanline time 63.509002774e-6
	PAL scanline time 64.093618033e-6

	Now, the definition is as follows.
	NTSC frames per second 60
	PAL frames per second 50
	NTSC scanline time 63.613231552e-6
	PAL scanline time 64.102564103e-6
	Scanlinetime is used in SoundSync sample length calculation.

	It changed SA1MainLoop ()
	...
	for (int i = 0; i < 3 && SA1.Executing; i++) {
		CheckFlags();
		Opcodes();
	}
	...
	
2004-12-10  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	It changed that HDMA register is SoftReset.

	The bug of file name processing was corrected.
	
2004-12-08  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	DirectSoundNotify setting is added.
	...
	#  Use DirectSound Notification Positions method.
	#  (default: timeSetEvent)
	#  0 - timeSetEvent
	#  1 - DirectSoundNotify
	DirectSoundNotify=0

	snes9x-1.43-WIP1-src.tar.gz's gfx is merged.

	It changed 0x4200 Set NMI and Cu-On-Pa SFC hack
	was removed.
	
2004-11-23  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	PM 09:40
	A few was changed and it uploaded.

	BS-X MMC(Memory map controller) and flash card
	registers are supported.
	flash card register support is still imperfect.
	If it hard resets while executing BS ROMs,
	BS-X BIOS will start.
	A memory pack load is still impossible...
	I referred to
	http://bszelda.zeldalegends.net/stuff/technical.txt
	
	The bug that the initial value of SRAM always became
	zero was corrected.
	
2004-11-16  sanmaiwashi  <sanmaiwashi@sheep.livedoor.com>
	AM 07:00
	SNES ROM CheckSum calculation code is fixed.
	
	The Info strings was displayed with 12x12 and 6x12 
	Japanese Shift_JIS fonts.
	It's displayable Japanese cart name.
	This was added for Satellaview ROMs.
	
	"Satellaview BS-X" and "Sufami Turbo" BIOS settings
	are added to directory settings dialog.

	BS-X ROMMap is added.
	
	Fileopen dialogs's force function sets bug is fixed.
	
	snes9x-1.43-WIP1-src.tar.gz's memmap is merged.
	snes9x-1.43-WIP1-src.tar.gz's Reset APU is merged.
	
2004-11-10  sanmaiwashi  <sanmaiwashi@gariya.net>
	FrameTimer method is chahged.

	It Changed that Soft Reset is default Reset function.
	Menu:
        "Reset Game"    (Soft Reset)
        "Power OFF ON!" (Hard Reset)
	
2004-11-09  sanmaiwashi  <sanmaiwashi@gariya.net>
	Please delete old version uosnesw.ini.
	
	Windows sound stream routine is updated.
	waveOut API sound is supported.
	sound reproduction delay became short,
	rather than the old version, because the length of
	a sound buffer became short.
	
	avast! antivirus software detect WIN95:SK virus
	in 2004-10-27 uosnesw.exe binary, this is an error.
	
2004-10-27  sanmaiwashi  <sanmaiwashi@gariya.net>
	Joystick code is updated.

	It changed that C config file routine is used.
	Delete old version uosnesw.ini.
	
	It fixed Windows UI code.
	
	libuoexp-0.dll is added.
	
	uosnes-branch's "WindowTopMost" "clip stretch"
	are merged and WindowAdjust popup menu is deleted.
	snes9x-1.43-WIP1-src.tar.gz's ppu is merged.
	
	It changed that 65c816 CPU Shutdown is cleared
	in case SA1 CPU write RAM.
	BCC, BCS, BRA 65c816 instructions CPU Shutdown code
	are added to x86 ASMCPU.
	and CPU Shutdown CPU.WaitCounter method is changed.

2004-09-22  sanmaiwashi  <sanmaiwashi@gariya.net>
	x86 ASMCPU core bug is fixed.

2004-09-18  sanmaiwashi  <sanmaiwashi@gariya.net>
	It changed that APU_TIMER is calculated by CPU_CYCLES
	and many V_Counter hacks are removed.
	Please try "SFC Mazinger Z" (??)
	
2004-09-17  sanmaiwashi  <sanmaiwashi@gariya.net>
	fixed blit Screen code.
	
2004-09-16  sanmaiwashi  <sanmaiwashi@gariya.net>
	little fixed Windows UI.
	
	It changed so CPU_CYCLES and APU_CYCLES are made the same
	in case APUShutdown and HBlankEnd.
	
	configure options of uosnes-devel source tree
	is added "--enable-apu_timer_per_scanline" (??)
	
2004-09-15  sanmaiwashi  <sanmaiwashi@gariya.net>
	fixed gcc optimize bug.
	
2004-09-14  sanmaiwashi  <sanmaiwashi@gariya.net>
	Rendering code is updated.
	DirectScreenRender is added in 2X filter.
	512 width TV lq2x hq2x Scanline are added.

	DMA hacks
	"SFC GAIDEN" "NBABullsVsBlazersPB" "All_JapanProWrestle"
	are added from uosnes-branch source.
	
	snes9x-1.43-WIP1-src.tar.gz is merged
	except ppu gfx sound memmap.
	
2004-07-21  sanmaiwashi  <sanmaiwashi@gariya.net>
	configure options of uosnes-devel source tree
	is added "--enable-new_snes9x_ONE_APU_CYCLE"
	which is 3-4 of fast 65c816 cycles.
	Default is "--disable-new_snes9x_ONE_APU_CYCLE",
	which is 2-3 of fast 65c816 cycles, because
	many games don't work and I think it troublesome
	to add many fixes for it...

	snes9x-1.43-WIP1-src.tar.gz is under fusion yet yet...(??)
	
2004-07-20  sanmaiwashi  <sanmaiwashi@gariya.net>
	Satellaview BS-X didn't work in uosnesw-20040718,
	it was fixed by Quick hack, because
	currently BS-X support is imperfect and hack.

	snes9x-1.43-WIP1-src.tar.gz is under fusion yet...
	
2004-07-18  sanmaiwashi  <sanmaiwashi@gariya.net>
	DSP-4,SETA emulation of 1.43-WIP1 were added.

	snes9x-1.43-WIP1-src.tar.gz is under fusion yet...

2004-07-17  sanmaiwashi  <sanmaiwashi@gariya.net>
	build binary is added gcc "-ffast-mmath" optimize
	snes9x-1.43-WIP1-src.tar.gz is under fusion...

2004-07-14  sanmaiwashi  <sanmaiwashi@gariya.net>
	Changed GNU autoconf automake source tree.

2004-07-13  sanmaiwashi  <sanmaiwashi@gariya.net>
	Icon is changed
	zlib1.dll, cygpng12.dll is added.

2004-07-04  sanmaiwashi  <sanmaiwashi@gariya.net>
	I've switched development environment to
	MinGW cross on Linux.

2004-07-02  sanmaiwashi  <sanmaiwashi@gariya.net>
	CHAOS SEED huusui kairouki
	fixed.

2004-06-25  sanmaiwashi  <sanmaiwashi@gariya.net>

	"shougi saikyou"
	"habumeijin no omoshiro shogi"
	"masoukishin"
	"super shogi 3"
	SA-1 speed hack is added.

2004-06-22  sanmaiwashi  <sanmaiwashi@gariya.net>

	added partial SNES X-BAND MODEM support.
